#ifndef _amiga_rdb_h
#define _amiga_rdb_h

struct amiga_rdb {
  unsigned long	rdb_ID;		/* 4 character identifier */
  unsigned long	rdb_SummedLongs; /* size of this checksummed structure */
  long		rdb_ChkSum;	/* block checksum (longword sum to zero) */
  unsigned long	rdb_HostID;
  unsigned long	rdb_BlockBytes;
  unsigned long	rdb_Flags;
  unsigned long	rdb_BadBlockList;
  unsigned long	rdb_PartitionList; /* optional first partition block */
  unsigned long	rdb_FileSysHeaderList;
  unsigned long	rdb_DriveInit;
  unsigned long	rdb_Reserved1[6];
  unsigned long	rdb_Cylinders;	/* number of drive cylinders */
  unsigned long	rdb_Sectors;	/* sectors per track */
  unsigned long	rdb_Heads;	/* number of drive heads */
};

#define	IDNAME_RIGIDDISK	0x5244534b	/* 'RDSK' */
#define	RDB_LOCATION_LIMIT	16

struct amiga_part {
  unsigned long	pb_ID;		/* 4 character identifier */
  unsigned long	pb_SummedLongs;	/* size of this checksummed structure */
  long		pb_ChkSum;	/* block checksum (longword sum to zero) */
  unsigned long	pb_HostID;
  unsigned long	pb_Next;
  unsigned long	pb_Flags;
  unsigned long	pb_Reserved1[2];
  unsigned long	pb_DevFlags;
  unsigned char	pb_DriveName[32];
  unsigned long	pb_Reserved2[15];
  unsigned long	pb_Environment[17];
  unsigned long	pb_EReserved[15];
};

#define	IDNAME_PARTITION	0x50415254	/* 'PART' */
#define	DE_TABLESIZE	0	/* size of environment table */
#define	DE_SIZEBLOCK	1	/* longwords per block */
#define	DE_SECORG	2	/* not used */
#define	DE_NUMHEADS	3	/* number of heads */
#define	DE_SECSPERBLK	4	/* not used */
#define	DE_BLKSPERTRACK	5	/* blocks per track */
#define	DE_RESERVEDBLKS	6	/* number of reserved blocks */
#define	DE_PREFAC	7	/* not used */
#define	DE_INTERLEAVE	8	/* usually 0 */
#define	DE_LOWCYL	9	/* starting cylinder */
#define	DE_UPPERCYL	10	/* last cylinder */
#define	DE_NUMBUFFERS	11	/* number of buffers */
#define	DE_MEMBUFTYPE	12	/* type of memory to allocate for buffers */
#define	DE_MAXTRANSFER	13	/* maximum transfer size */
#define	DE_MASK		14	/* address mask */
#define	DE_BOOTPRI	15	/* boot priority for automount */
#define	DE_DOSTYPE	16	/* filesystem type */

#endif _amiga_rdb_h
